summaryrefslogtreecommitdiff
path: root/help/bg/password.page
diff options
context:
space:
mode:
authorJeremy Bicha <jbicha@debian.org>2017-12-16 13:06:02 -0500
committerJeremy Bicha <jbicha@debian.org>2017-12-16 13:06:02 -0500
commitf821adc6c1844f3dbd59a5c51bb68fb80f295aa0 (patch)
tree28ff6652502c6adc1b661e0eb4dd3a8adbf60404 /help/bg/password.page
parentInitial upstream branch (diff)
parentRelease: Prepare for 3.26.0 (diff)
downloadzenity-f821adc6c1844f3dbd59a5c51bb68fb80f295aa0.tar.gz
zenity-f821adc6c1844f3dbd59a5c51bb68fb80f295aa0.tar.bz2
zenity-f821adc6c1844f3dbd59a5c51bb68fb80f295aa0.zip
New upstream version 3.26.0
Diffstat (limited to 'help/bg/password.page')
-rw-r--r--help/bg/password.page49
1 files changed, 49 insertions, 0 deletions
diff --git a/help/bg/password.page b/help/bg/password.page
new file mode 100644
index 00000000..9dc32e2a
--- /dev/null
+++ b/help/bg/password.page
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="utf-8"?>
+<page xmlns="http://projectmallard.org/1.0/" type="topic" id="password" xml:lang="bg">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--password</cmd> option.</desc>
+ </info>
+ <title>Password Dialog</title>
+ <p>
+ Use the <cmd>--password</cmd> option to create a password entry dialog.
+ </p>
+ <p>
+ The password entry dialog supports the following options:
+ </p>
+
+ <terms>
+ <item>
+ <title><cmd>--username</cmd></title>
+ <p>Display the username field.</p>
+ </item>
+ </terms>
+
+ <p>
+ The following example script shows how to create a password entry dialog:
+ </p>
+
+<code>
+#!/bin/sh
+
+ENTRY=`zenity --password --username`
+
+case $? in
+ 0)
+ echo "User Name: `echo $ENTRY | cut -d'|' -f1`"
+ echo "Password : `echo $ENTRY | cut -d'|' -f2`"
+ ;;
+ 1)
+ echo "Stop login.";;
+ -1)
+ echo "An unexpected error has occurred.";;
+esac
+</code>
+
+ <figure>
+ <title>Password Entry Dialog Example</title>
+ <desc><app>Zenity</app> password entry dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-password-screenshot.png"/>
+ </figure>
+
+</page>
bgstack15